<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" isELIgnored="false" session="false"%>
<%@ include file="/WEB-INF/jsp/include/taglib.jsp"%>
<c:set var="pageKorName" scope="request">민원 답변내용 미리보기</c:set>

<div class="d-flex flex-row justify-content-evenly">
	<div class="card">
		<form id="frmEdit--${pageName}">
			<input id="crdnId--${pageName}" name="crdnId" type="hidden" data-map="CRDN_ID" />
			<input id="cvlcptLinkId--${pageName}" name="cvlcptLinkId" type="hidden" data-map="CVLCPT_LINK_ID" />
			
			<div class="row g-1">
				<div class="col-md-6">
					<label for="cvlcptAplyCn--${pageName}" class="w-px-150 bg-lighter pe-2 col-form-label text-sm-center">
						민원 내용
					</label>
				</div>
				<div class="col-md-6 text-end">
					<input type="text" id="countStauts--${pageName}" class="form-control w-px-150 text-center fw-bold" readonly />
					<button type="button" id="btnPrev--${pageName}" class="w-px-50 btn-PageUp">◀</button>
					<button type="button" id="btnNext--${pageName}" class="w-px-50 btn-PageDown">▶</button>
				</div>
				<div class="col-md-12">
					<div class="px-2">
						<textarea rows="10" style="width:100%" id="cvlcptAplyCn--${pageName}" name="cvlcptAplyCn" data-map="CVLCPT_APLY_CN"
						></textarea>
					</div>
				</div>
				
				<div class="col-md-12">
					<label for="cvlcptPrcsRsltCn--${pageName}" class="required w-px-150 bg-lighter pe-2 col-form-label text-sm-center">
						답변 내용
					</label>
				</div>
				<div class="col-md-12">
					<div class="px-2">
						<textarea id="cvlcptPrcsRsltCn--${pageName}" name="cvlcptPrcsRsltCn" data-map="CVLCPT_PRCS_RSLT_CN"
						required rows="10" style="width:100%"></textarea>
					</div>
				</div>
				
				<div class="col-md-6">
					변경할내용이있으면 수정하시오.
				</div>
				<div class="col-md-6 text-end">
					<button type="button" id="btnSave--${pageName}" class="btn btn-primary">변경 내용 저장</button>
				</div>
			</div>
		</form>
	</div>
</div>

<script>

pageObject["${pageName}"] = {};
pageObject["${pageName}"].parentRes = {};

pageObject.childReq = [];
pageObject.childReq.push({
	getCountStatus : function(){ return ""; },
	getNextKey : function(){ return ""; },
	getPrevKey : function(){ return ""; },
	selectRow : function(){}
});

$(document).ready(function() {
	
	var $P = pageObject["${pageName}"];
	$P.taskSeCd = "${taskSeCd}";
	
	if(pageObject.parentRes.length > 0){
		$P.parentRes = pageObject.parentRes.pop();
	} else {
		$P.parentRes = pageObject.childReq.pop();
	}
	
	/**************************************************************************
	 * DatasetControl, Dataset, FormFields
	 **************************************************************************/
	$P.formFields = new FimsFormFields("#frmEdit--${pageName}");

	$P.cvlcptControl = new DatasetControl({
	    urls : { 
	    	load : "", 
	    	getInfo : wctx.url("/"+$P.taskSeCd+"/cvlc/cvlc01/060/info.do"),
	    	update : wctx.url("/"+$P.taskSeCd+"/cvlc/cvlc01/060/update.do")
	    }, 
	    keymapper:info => info ? info.CRDN_ID : "",
	    dataGetter:obj => obj.cvlcptInfo,
	    formats: { 
	    	CVLCPT_RCPT_YMD : dateFormat,
	    	CVLCPT_PRCS_PRNMNT_DT : dateFormat
	    }
	});
	
	$P.cvlcptControl.save = (info) => {
		if (!info) return;

		ajax.post({
			url : $P.cvlcptControl.urls.update,
			data : info,
			success : resp => { $P.cvlcptControl.onSave(resp); }
		});
		
	};
	
	/**************************************************************************
	 * DatasetControl.on, Dataset.on
	 **************************************************************************/
	$P.cvlcptControl.onCurrentChange = (item) => {
		$P.formFields.set(item);
	}
	
	$P.cvlcptControl.onSave = (resp) => {
		if (resp.saved) {
			dialog.alert("저장됐습니다.");
		}
	}
	
	/**************************************************************************
	 * pageObject.function
	 **************************************************************************/
	
	$P.fnPrev = () => {
		var prevKey = $P.parentRes.getPrevKey($("#crdnId--${pageName}").val());
		if(prevKey != ""){
			$P.fnGo(prevKey);
		}
	}
	
	$P.fnNext = () => {
		var nextKey = $P.parentRes.getNextKey($("#crdnId--${pageName}").val());
		if(nextKey != ""){
			$P.fnGo(nextKey);
		}
	}
	
	$P.fnGo = (crdnId) => {
		ajax.get({
			url: $P.cvlcptControl.urls.getInfo,
			data: { "crdnId" : crdnId },
			headers: {          
			    Accept: "application/json; charset=utf-8"
			},
			success : resp => {
				var cvlcptInfo = resp.cvlcptInfo;
				cvlcptInfo.CVLCPT_APLY_CN = escapeHTMLEntity(cvlcptInfo.CVLCPT_APLY_CN);
				$P.cvlcptControl.setData([cvlcptInfo]);
				
				var cs = $P.parentRes.getCountStatus($("#crdnId--${pageName}").val());
				$("#countStauts--${pageName}").val(cs);
				$P.parentRes.selectRow(crdnId);
			}
		});
	}
	
	$P.fnSave = () => {
		
		if(!customValidate($("#frmEdit--${pageName} input"))) return;
		
		if(confirm("현재 답변 내용을 저장하시겠습니까?")){
			$P.cvlcptControl.save($P.formFields.get());
		}
		
	}
	
	/**************************************************************************
	 * element.on
	 **************************************************************************/
	$("#btnPrev--${pageName}").on("click", () => $P.fnPrev() );
	$("#btnNext--${pageName}").on("click", () => $P.fnNext() );
	
	$("#btnSave--${pageName}").on("click", () => $P.fnSave() );
	
	/**************************************************************************
	 * 초기화
	 **************************************************************************/
	var cvlcptInfo = ${cvlcptInfo};
	cvlcptInfo.CVLCPT_APLY_CN = escapeHTMLEntity(cvlcptInfo.CVLCPT_APLY_CN);
	$P.cvlcptControl.setData([cvlcptInfo]);
	var cs = $P.parentRes.getCountStatus($("#crdnId--${pageName}").val());
	$("#countStauts--${pageName}").val(cs);

});




</script>